#
# spec file for package perl-EV
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-EV
Version:        3.9
Release:        2.1
License:        GPL+ or Artistic
%define cpan_name EV
Summary:        Interface to libev, a high performance full-featured event loop
Url:            http://search.cpan.org/dist/EV/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/M/ML/MLEHMANN/EV-4.03.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(common::sense)
Requires:       perl(common::sense)
%{perl_requires}

%description
This module provides an interface to libev (the
http://software.schmorp.de/pkg/libev.html manpage). While the documentation
below is comprehensive, one might also consult the documentation of libev
itself (the http://pod.tst.eu/http://cvs.schmorp.de/libev/ev.pod manpage or
_perldoc EV::libev_) for more subtle details on watcher semantics or some
discussion on the available backends, or how to force a specific backend
with 'LIBEV_FLAGS', or just about in any case because it has much more
detailed information.

This module is very fast and scalable. It is actually so fast that you can
use it through the the AnyEvent manpage module, stay portable to other
event loops (if you don't rely on any watcher types not available through
it) and still be faster than with any other event loop currently supported
in Perl.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes COPYING README

%changelog
* Fri Mar  4 2011 chris@computersalat.de
- update to 3.9
  - disable t/07* under automatic testing.
  - increase t/09* timeouts as netbsd has *horribly* broken
    select/kevent that *usually* sleep >>0.6s instead of 0.3.
  - add constants EV::FLAG_NOSIGFD, EV::FLAG_NOINOTIFY and
    EV::BACKEND_ALL.
  - (libev) signalfd is no longer used by default.
  - (libev) backport inotify code to C89.
  - (libev) inotify file descriptors could leak into child processes.
  - (libev) ev_stat watchers could keep an errornous extra ref on the loop.
  - (libev) take advantage of inotify_init1, if available.
  - (libev) the signal handling pipe wasn't always initialised under windows.
  - changed minimum glibc requirement from glibc 2.9 to 2.7, for signalfd.
  - (libev) only replace ev_stat.prev when we detect an actual difference.
- recreated by cpanspec 1.78.03
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep  4 2009 chris@computersalat.de
- initial pkg 3.8
